Index: tmp/org.txm.utils/src/org/txm/utils/treetagger/TreeTagger.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/treetagger/TreeTagger.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/treetagger/TreeTagger.java	(revision 2402)
@@ -51,10 +51,12 @@
 	/** The binpath. */
 	String binpath = ""; //$NON-NLS-1$
 	String[] options;
+
 	/**
 	 * Instantiates a new tree tagger.
 	 *
-	 * @param binpath the binpath
+	 * @param binpath
+	 *            the binpath
 	 */
 	public TreeTagger(String binpath, String[] options) {
 		this.binpath = binpath;
@@ -73,7 +75,8 @@
 	/**
 	 * Debug.
 	 *
-	 * @param b the b
+	 * @param b
+	 *            the b
 	 */
 	public void debug(boolean b) {
 		debug = b;
@@ -144,7 +147,8 @@
 	/**
 	 * Sets the threshold.
 	 *
-	 * @param arg the new threshold
+	 * @param arg
+	 *            the new threshold
 	 */
 	public void setthreshold(float arg) {
 		this.isthreshold = true;
@@ -349,7 +353,8 @@
 	/**
 	 * Sets the eps.
 	 *
-	 * @param arg the new eps
+	 * @param arg
+	 *            the new eps
 	 */
 	public void seteps(float arg) {
 		this.iseps = true;
@@ -373,7 +378,8 @@
 	/**
 	 * Sets the lex.
 	 *
-	 * @param arg the new lex
+	 * @param arg
+	 *            the new lex
 	 */
 	public void setlex(String arg) {
 		this.islex = true;
@@ -397,7 +403,8 @@
 	/**
 	 * Sets the wc.
 	 *
-	 * @param arg the new wc
+	 * @param arg
+	 *            the new wc
 	 */
 	public void setwc(String arg) {
 		this.iswc = true;
@@ -422,7 +429,8 @@
 	/**
 	 * Sets the eostag.
 	 *
-	 * @param arg the new eostag
+	 * @param arg
+	 *            the new eostag
 	 */
 	public void seteostag(String arg) {
 		this.iseostag = true;
@@ -440,16 +448,19 @@
 	/**
 	 * Treetagger.
 	 *
-	 * @param modelfile the modelfile
-	 * @param infile the infile
-	 * @param outfile the outfile
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param modelfile
+	 *            the modelfile
+	 * @param infile
+	 *            the infile
+	 * @param outfile
+	 *            the outfile
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public void treetagger(String modelfile, String infile, String outfile)
-			throws IOException
-			// arg : The model file
-			// arg : The In file
-			// arg : The Out file
+	public void treetagger(String modelfile, String infile, String outfile) throws IOException
+	// arg : The model file
+	// arg : The In file
+	// arg : The Out file
 	{
 		ArrayList<String> args = new ArrayList<String>();
 		args.add(binpath + "tree-tagger"); //$NON-NLS-1$
@@ -461,7 +472,8 @@
 			args.add("-sgml"); //$NON-NLS-1$
 		if (isthreshold) {
 			args.add("-threshold"); //$NON-NLS-1$
-			args.add("" + threshold);} //$NON-NLS-1$
+			args.add("" + threshold); //$NON-NLS-1$
+		}
 		if (isprob)
 			args.add("-prob"); //$NON-NLS-1$
 		if (isignoreprefix)
@@ -484,19 +496,23 @@
 			args.add("-base"); //$NON-NLS-1$
 		if (iseps) {
 			args.add("-eps"); //$NON-NLS-1$
-			args.add("" + eps);} //$NON-NLS-1$
+			args.add("" + eps); //$NON-NLS-1$
+		}
 		if (islex) {
 			args.add("-lex"); //$NON-NLS-1$
-			args.add("" + lex);} //$NON-NLS-1$
+			args.add("" + lex); //$NON-NLS-1$
+		}
 		if (iswc) {
 			args.add("-wc"); //$NON-NLS-1$
-			args.add("" + wc);} //$NON-NLS-1$
+			args.add("" + wc); //$NON-NLS-1$
+		}
 		if (iseostag) {
 			args.add("-eos-tag"); //$NON-NLS-1$
-			args.add("" + eostag);} //$NON-NLS-1$
+			args.add("" + eostag); //$NON-NLS-1$
+		}
 
 		for (String option : options) {
-			//System.out.println("add manual option: "+option);
+			// System.out.println("add manual option: "+option);
 			if (option.trim().length() > 0)
 				args.add(option);
 		}
@@ -505,7 +521,8 @@
 		args.add("" + infile); //$NON-NLS-1$
 		args.add("" + outfile); //$NON-NLS-1$
 
-		if (debug) System.out.println(StringUtils.join(args.toArray(), " "));
+		if (debug)
+			System.out.println(StringUtils.join(args.toArray(), " "));
 
 		ProcessBuilder pb = new ProcessBuilder(args);
 		pb.redirectErrorStream(true);
@@ -528,8 +545,7 @@
 		} catch (Exception err) {
 		}
 		if (e != 0) {
-			System.err
-			.println("Process exited abnormally with code " + e + " at " + DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date())); //$NON-NLS-1$ //$NON-NLS-2$
+			System.err.println("Process exited abnormally with code " + e + " at " + DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date())); //$NON-NLS-1$ //$NON-NLS-2$
 
 			System.out.println("Args: ");
 			for (int c = 0; c < args.size(); c++)
@@ -540,34 +556,24 @@
 		File rootFile = new File(infile).getParentFile().getParentFile();
 		File report = new File(rootFile, "NLPToolsParameters.xml"); //$NON-NLS-1$
 		// System.out.println("create txm report file "+report.getAbsolutePath());
-		Writer writer = new OutputStreamWriter(new FileOutputStream(report),
-				"UTF-8"); //$NON-NLS-1$
+		Writer writer = new OutputStreamWriter(new FileOutputStream(report), "UTF-8"); //$NON-NLS-1$
 		writer.write("<txm:commandLine>" + //$NON-NLS-1$
 				"  <txm:os name=\"" //$NON-NLS-1$
-				+ System.getProperty("os.name") + "\" arch=\"x86\"/>" + //$NON-NLS-1$ //$NON-NLS-2$ 
+				+ System.getProperty("os.name") + "\" arch=\"x86\"/>" + //$NON-NLS-1$ //$NON-NLS-2$
 				"  <txm:osSeparator file=\"&#92;\" path=\"&#59;\" line=\"&#x0D;\"/>" //$NON-NLS-1$
-				+ 
-				"  <txm:program name=\"tree-tagger\" path=\"~/TXM/treetagger/bin\" desc=\"TreeTagger is the name of the project TreeTagger\" version=\"3.2\"/>" //$NON-NLS-1$
-				+ 
-				"  <txm:args>" //$NON-NLS-1$
-				+ 
-				"    <txm:arg name=\"token\" type=\"none\"/>" //$NON-NLS-1$
-				+ 
-				"    <txm:arg name=\"lemma\" type=\"none\"/>" //$NON-NLS-1$
-				+ 
-				"    <txm:arg name=\"sgml\" type=\"none\"/>" //$NON-NLS-1$
-				+ 
-				"    <txm:arg name=\"no-unknown\" type=\"none\"/>" //$NON-NLS-1$
-				+ 
-				"    <txm:arg name=\"eos-tag\" type=\"String\">&lt;s></txm:arg>" //$NON-NLS-1$
-				+ 
-				"    <txm:arg name=\"model\" type=\"String\">" //$NON-NLS-1$
-				+ modelfile
-				+ "</txm:arg>" + //$NON-NLS-1$ 
+				+ "  <txm:program name=\"tree-tagger\" path=\"~/TXM/treetagger/bin\" desc=\"TreeTagger is the name of the project TreeTagger\" version=\"3.2\"/>" //$NON-NLS-1$
+				+ "  <txm:args>" //$NON-NLS-1$
+				+ "    <txm:arg name=\"token\" type=\"none\"/>" //$NON-NLS-1$
+				+ "    <txm:arg name=\"lemma\" type=\"none\"/>" //$NON-NLS-1$
+				+ "    <txm:arg name=\"sgml\" type=\"none\"/>" //$NON-NLS-1$
+				+ "    <txm:arg name=\"no-unknown\" type=\"none\"/>" //$NON-NLS-1$
+				+ "    <txm:arg name=\"eos-tag\" type=\"String\">&lt;s></txm:arg>" //$NON-NLS-1$
+				+ "    <txm:arg name=\"model\" type=\"String\">" //$NON-NLS-1$
+				+ modelfile + "</txm:arg>" + //$NON-NLS-1$
 				"    <txm:arg name=\"input\" type=\"String\">" + infile //$NON-NLS-1$
-				+ "</txm:arg>" + //$NON-NLS-1$ 
+				+ "</txm:arg>" + //$NON-NLS-1$
 				"    <txm:arg name=\"output\" type=\"String\">" //$NON-NLS-1$
-				+ outfile + "</txm:arg>" + //$NON-NLS-1$ 
+				+ outfile + "</txm:arg>" + //$NON-NLS-1$
 				"  </txm:args>" + //$NON-NLS-1$
 				"</txm:commandLine>"); //$NON-NLS-1$
 		writer.flush();
@@ -584,7 +590,8 @@
 	/**
 	 * Sets the cl.
 	 *
-	 * @param arg the new cl
+	 * @param arg
+	 *            the new cl
 	 */
 	public void setcl(int arg) {
 		this.iscl = true;
@@ -608,7 +615,8 @@
 	/**
 	 * Sets the dtg.
 	 *
-	 * @param arg the new dtg
+	 * @param arg
+	 *            the new dtg
 	 */
 	public void setdtg(float arg) {
 		this.isdtg = true;
@@ -632,7 +640,8 @@
 	/**
 	 * Sets the sw.
 	 *
-	 * @param arg the new sw
+	 * @param arg
+	 *            the new sw
 	 */
 	public void setsw(float arg) {
 		this.issw = true;
@@ -656,7 +665,8 @@
 	/**
 	 * Sets the atg.
 	 *
-	 * @param arg the new atg
+	 * @param arg
+	 *            the new atg
 	 */
 	public void setatg(float arg) {
 		this.isatg = true;
@@ -680,7 +690,8 @@
 	/**
 	 * Sets the st.
 	 *
-	 * @param arg the new st
+	 * @param arg
+	 *            the new st
 	 */
 	public void setst(String arg) {
 		this.isst = true;
@@ -704,7 +715,8 @@
 	/**
 	 * Sets the ecw.
 	 *
-	 * @param arg the new ecw
+	 * @param arg
+	 *            the new ecw
 	 */
 	public void setecw(float arg) {
 		this.isecw = true;
@@ -728,7 +740,8 @@
 	/**
 	 * Sets the lt.
 	 *
-	 * @param arg the new lt
+	 * @param arg
+	 *            the new lt
 	 */
 	public void setlt(float arg) {
 		this.islt = true;
@@ -764,18 +777,22 @@
 	/**
 	 * Traintreetagger.
 	 *
-	 * @param lexiconfile the lexiconfile
-	 * @param openclassfile the openclassfile
-	 * @param infile the infile
-	 * @param outfile the outfile
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param lexiconfile
+	 *            the lexiconfile
+	 * @param openclassfile
+	 *            the openclassfile
+	 * @param infile
+	 *            the infile
+	 * @param outfile
+	 *            the outfile
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
-	public void traintreetagger(String lexiconfile, String openclassfile,
-			String infile, String outfile) throws IOException
-			// arg : The lexicon file
-			// arg : The open class file
-			// arg : The In file
-			// arg : The Out file
+	public void traintreetagger(String lexiconfile, String openclassfile, String infile, String outfile) throws IOException
+	// arg : The lexicon file
+	// arg : The open class file
+	// arg : The In file
+	// arg : The Out file
 	{
 		ArrayList<String> args = new ArrayList<String>();
 		args.add(binpath + "train-tree-tagger"); //$NON-NLS-1$
@@ -784,25 +801,32 @@
 
 		if (iscl) {
 			args.add("-cl"); //$NON-NLS-1$
-			args.add("" + cl);} //$NON-NLS-1$
+			args.add("" + cl); //$NON-NLS-1$
+		}
 		if (isdtg) {
 			args.add("-dtg"); //$NON-NLS-1$
-			args.add("" + dtg);} //$NON-NLS-1$
+			args.add("" + dtg); //$NON-NLS-1$
+		}
 		if (issw) {
 			args.add("-sw"); //$NON-NLS-1$
-			args.add("" + sw);} //$NON-NLS-1$
+			args.add("" + sw); //$NON-NLS-1$
+		}
 		if (isatg) {
 			args.add("-atg"); //$NON-NLS-1$
-			args.add("" + atg);} //$NON-NLS-1$
+			args.add("" + atg); //$NON-NLS-1$
+		}
 		if (isst) {
 			args.add("-st"); //$NON-NLS-1$
-			args.add("" + st);} //$NON-NLS-1$
+			args.add("" + st); //$NON-NLS-1$
+		}
 		if (isecw) {
 			args.add("-ecw"); //$NON-NLS-1$
-			args.add("" + ecw);} //$NON-NLS-1$
+			args.add("" + ecw); //$NON-NLS-1$
+		}
 		if (islt) {
 			args.add("-lt"); //$NON-NLS-1$
-			args.add("" + lt);} //$NON-NLS-1$
+			args.add("" + lt); //$NON-NLS-1$
+		}
 		if (isutf8)
 			args.add("-utf8"); //$NON-NLS-1$
 		args.add("" + lexiconfile); //$NON-NLS-1$
@@ -811,7 +835,8 @@
 		args.add("" + outfile); //$NON-NLS-1$
 
 		ProcessBuilder pb = new ProcessBuilder(args);
-		if (debug) System.out.println(StringUtils.join(args.toArray(), " "));
+		if (debug)
+			System.out.println(StringUtils.join(args.toArray(), " "));
 		pb.redirectErrorStream(true);
 		Process process = null;
 		try {
@@ -843,13 +868,14 @@
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String[] args) {
 
 	}
 
 	public void kill() {
-		//TODO uses TreeTagger4j and manage the process
+		// TODO uses TreeTagger4j and manage the process
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.utils/src/org/txm/utils/network/SystemProxyDetector.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/network/SystemProxyDetector.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/network/SystemProxyDetector.java	(revision 2402)
@@ -15,116 +15,123 @@
 import org.txm.utils.logger.Log;
 
 /**
- * This class implements various manner to retrieve the system proxy configuration.
- * It tries to get the configuration from the RCP store and from the Java system properties. 
+ * This class implements various manner to retrieve the system proxy
+ * configuration. It tries to get the configuration from the RCP store and from
+ * the Java system properties.
  * 
  * @author mdecorde
  * @author sjacquot
  *
  */
 public class SystemProxyDetector {
-	
+
 	public String proxy_user = "";
 	public String proxy_password = "";
 	public String proxy_host = "";
 	public int proxy_port = 0;
 
-
 	/**
-	 * Creates a system proxy detector and tries to retrieve the system proxy configuration from  the RCP store and from the Java system properties.
+	 * Creates a system proxy detector and tries to retrieve the system proxy
+	 * configuration from the RCP store and from the Java system properties.
 	 */
 	@SuppressWarnings({ "rawtypes", "unchecked" })
 	public SystemProxyDetector() {
 		ServiceTracker proxyTracker = null;
 		try {
 			Bundle c = FrameworkUtil.getBundle(this.getClass());
-			if (c == null) return; // abord;
+			if (c == null)
+				return; // abord;
 			BundleContext bc = c.getBundleContext();
-			if (bc == null) return; // abord;
+			if (bc == null)
+				return; // abord;
 			proxyTracker = new ServiceTracker(bc, IProxyService.class.getName(), null);
 			proxyTracker.open();
 
-			IProxyService proxyService = (IProxyService)proxyTracker.getService();
-			if (proxyService.hasSystemProxies()) { // Always response false for Mac OS X, because there is no Eclipse plugin that manages the system proxies
+			IProxyService proxyService = (IProxyService) proxyTracker.getService();
+			if (proxyService.hasSystemProxies()) { // Always response false for Mac OS X, because there is no Eclipse plugin that
+													// manages the system proxies
 				try {
 					List<Proxy> proxies = ProxySelector.getDefault().select(new URI("http://textometrie.ens-lyon.fr"));
 					if (proxies != null) {
 						for (Proxy proxy : proxies) {
 							if (proxy.type().equals(Proxy.Type.HTTP)) {
 								InetSocketAddress addr = (InetSocketAddress) proxy.address();
-								if(addr != null) {
+								if (addr != null) {
 									proxy_host = addr.getHostName();
 									proxy_port = addr.getPort();
 									break; // ok done
 								}
 							}
 						}
-					} 
-				} catch(URISyntaxException e) {
+					}
+				} catch (URISyntaxException e) {
 					Log.printStackTrace(e);
 				}
 			}
-			
+
 			// last resort to find out proxy configuration
-			if (proxy_host == null || proxy_host.length() == 0) { 
+			if (proxy_host == null || proxy_host.length() == 0) {
 				proxy_host = System.getProperty("http.proxyHost");
 				String s = System.getProperty("http.proxyPort");
-				if (s != null) proxy_port =  Integer.parseInt(s);
+				if (s != null)
+					proxy_port = Integer.parseInt(s);
 				proxy_password = System.getProperty("http.proxyPassword");
 				proxy_user = System.getProperty("http.proxyUser");
 			}
-			
-			
+
 			// Log
-			if(proxy_host != null && !proxy_host.isEmpty())	{
+			if (proxy_host != null && !proxy_host.isEmpty()) {
 				Log.info("System proxy network configuration detected.");
 			}
-			
+
 			// TODO: useless ?
-//			if (proxyTracker == null) {
-//				IProxyData[] data = proxyService.getProxyData();
-//				for (IProxyData d : data) {
-//					proxy_host = d.getHost();
-//					if (IProxyData.HTTP_PROXY_TYPE.equals(d.getType()) && proxy_host != null && proxy_host.length() > 0) {
-//						proxy_port = d.getPort();
-//						proxy_password = d.getPassword();
-//						proxy_user = d.getUserId();
-//						//System.out.println("proxy_server="+proxy_server+" proxy_port="+proxy_port);
-//						
-//						 break; // ok done
-//					} else {
-//						proxy_host = null;
-//					}
-//				}
-//			}
+			// if (proxyTracker == null) {
+			// IProxyData[] data = proxyService.getProxyData();
+			// for (IProxyData d : data) {
+			// proxy_host = d.getHost();
+			// if (IProxyData.HTTP_PROXY_TYPE.equals(d.getType()) && proxy_host != null &&
+			// proxy_host.length() > 0) {
+			// proxy_port = d.getPort();
+			// proxy_password = d.getPassword();
+			// proxy_user = d.getUserId();
+			// //System.out.println("proxy_server="+proxy_server+" proxy_port="+proxy_port);
+			//
+			// break; // ok done
+			// } else {
+			// proxy_host = null;
+			// }
+			// }
+			// }
 		} catch (Exception e) {
 			Log.printStackTrace(e);
 		} finally {
-			if (proxyTracker != null) proxyTracker.close();
+			if (proxyTracker != null)
+				proxyTracker.close();
 		}
 	}
 
 	/**
 	 * Checks if a system proxy has been detected.
+	 * 
 	 * @return
 	 */
 	public boolean isSystemProxyDetected() {
 		return proxy_host != null && !proxy_host.isEmpty();
 	}
 
-
 	/**
 	 * Returns the HTTP system proxy configuration as URL if exists otherwise false.
+	 * 
 	 * @return
 	 */
 	public String getHttpProxyUrl() {
-		
+
 		String proxyUrl = null;
 		String userData = "";
-		
-		if(this.isSystemProxyDetected())	{
+
+		if (this.isSystemProxyDetected()) {
 			proxyUrl = proxy_host + ":" + proxy_port;
-			
+
 			if (proxy_user != null && !proxy_user.isEmpty()) {
 				userData = proxy_user;
 				proxyUrl = "@" + proxyUrl; //$NON-NLS-1$
@@ -132,15 +139,14 @@
 			if (proxy_password != null && !proxy_password.isEmpty()) {
 				userData += ":" + proxy_password; //$NON-NLS-1$
 			}
-		}
-		else	{
+		} else {
 			Log.warning("HTTP system proxy configuration is not set.");
 		}
-		
-		if(proxyUrl != null)	{
+
+		if (proxyUrl != null) {
 			proxyUrl = "http://" + userData + proxyUrl; //$NON-NLS-1$
 		}
-		
+
 		return proxyUrl;
 	}
 
Index: tmp/org.txm.utils/src/org/txm/utils/Sh.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/Sh.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/Sh.java	(revision 2402)
@@ -45,20 +45,21 @@
  * The Class Sh.
  */
 public class Sh {
-	
+
 	/** The binpath. */
 	String binpath = ""; //$NON-NLS-1$
 
 	/** The version. */
 	String version = "0.0.0"; //$NON-NLS-1$
-	
+
 	/** The desc. */
 	String desc = "Shell"; //$NON-NLS-1$
 
 	/**
 	 * Instantiates a new sh.
 	 *
-	 * @param binpath the binpath
+	 * @param binpath
+	 *            the binpath
 	 */
 	public Sh(String binpath) {
 		// System.out.println("set binpath "+binpath);
@@ -68,14 +69,15 @@
 	// execute command line in argument
 	/** The isc. */
 	private Boolean isc = false;
-	
+
 	/** The c. */
 	private String c;
 
 	/**
 	 * Sets the isc.
 	 *
-	 * @param arg the new isc
+	 * @param arg
+	 *            the new isc
 	 */
 	public void setIsc(String arg) {
 		this.isc = true;
@@ -93,7 +95,8 @@
 	/**
 	 * Shexe.
 	 *
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public void shexe() throws IOException {
 		ArrayList<String> args = new ArrayList<String>();
@@ -124,11 +127,8 @@
 			org.txm.utils.logger.Log.printStackTrace(e1);
 		}
 		if (e != 0) {
-			Log.fine(UtilsCoreMessages.Sh_4
-					+ e
-					+ " at " //$NON-NLS-1$
-					+ DateFormat.getDateInstance(DateFormat.FULL, Locale.UK)
-							.format(new Date()));
+			Log.fine(UtilsCoreMessages.Sh_4 + e + " at " //$NON-NLS-1$
+					+ DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date()));
 		}
 	}
 
@@ -136,7 +136,8 @@
 	/**
 	 * Sh.
 	 *
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public void sh() throws IOException {
 		ArrayList<String> args = new ArrayList<String>();
@@ -169,18 +170,16 @@
 			org.txm.utils.logger.Log.printStackTrace(e1);
 		}
 		if (e != 0) {
-			Log.fine(UtilsCoreMessages.Sh_4
-					+ e
-					+ " at " //$NON-NLS-1$
-					+ DateFormat.getDateInstance(DateFormat.FULL, Locale.UK)
-							.format(new Date()));
+			Log.fine(UtilsCoreMessages.Sh_4 + e + " at " //$NON-NLS-1$
+					+ DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date()));
 		}
 	}
 
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String[] args) {
 		// Sh tt = new Sh("");
Index: tmp/org.txm.utils/src/org/txm/utils/TableReader.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/TableReader.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/TableReader.java	(revision 2402)
@@ -16,18 +16,18 @@
  *
  */
 public class TableReader {
-	
+
 	File tableFile;
 	String mode = "tsv";
-	
+
 	HashMap<String, String> record;
 	CsvReader tsvReader = null;
 	ReadExcel excelReader = null;
 	ReadODS odsReader;
-	
+
 	public TableReader(File tableFile) throws Exception {
 		this.tableFile = tableFile;
-		
+
 		if (tableFile.getName().toLowerCase().endsWith(".xlsx")) {
 			mode = "excel";
 			excelReader = new ReadExcel(tableFile, null);
@@ -39,23 +39,24 @@
 			mode = "tsv";
 		}
 	}
-	
+
 	public String getMode() {
 		return mode;
 	}
-	
+
 	public boolean readHeaders() throws IOException {
 		if (tsvReader != null) {
 			return tsvReader.readHeaders();
 		} else if (excelReader != null) {
 			return excelReader.readHeaders();
 		}
-		
+
 		return false;
 	}
-	
+
 	/**
 	 * read the next record
+	 * 
 	 * @return true if there is another record
 	 * @throws IOException
 	 */
@@ -75,10 +76,10 @@
 				return false;
 			}
 		}
-		
+
 		return false;
 	}
-	
+
 	public HashMap<String, String> getRecord() {
 		return record;
 	}
@@ -89,18 +90,20 @@
 		} else if (excelReader != null) {
 			return excelReader.getHeaders();
 		}
-		
+
 		return null;
 	}
-	
+
 	String EMPTY = "";
+
 	public String get(String h) throws IOException {
 		String s = getRecord().get(h);
-		if (s == null) return EMPTY;
-		
+		if (s == null)
+			return EMPTY;
+
 		return s;
 	}
-	
+
 	public void close() throws IOException {
 		if (tsvReader != null) {
 			tsvReader.close();
@@ -108,21 +111,21 @@
 			excelReader.close();
 		}
 	}
-	
+
 	public static void main(String[] args) {
 		try {
 			System.out.println("Loading...");
 			TableReader reader = new TableReader(new File("/home/mdecorde/TEMP/ANTRACT/AF/ANTRACT_AF_Notices_3oct19.xlsx"));
 			System.out.println("Table loaded");
-			
+
 			System.out.println("Reading headers...");
 			reader.readHeaders();
 			System.out.println(Arrays.toString(reader.getHeaders()));
-			
+
 			System.out.println("Reading record...");
 			reader.readRecord();
 			System.out.println(reader.getRecord());
-			
+
 			System.out.println("Reading record...");
 			reader.readRecord();
 			System.out.println(reader.getRecord());
Index: tmp/org.txm.utils/src/org/txm/utils/OSDetector.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/OSDetector.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/OSDetector.java	(revision 2402)
@@ -3,47 +3,56 @@
 import org.apache.tools.ant.taskdefs.condition.Os;
 
 /**
- * Utility class dedicated to operating system detection of the runtime target. 
+ * Utility class dedicated to operating system detection of the runtime target.
+ * 
  * @author sjacquot
  *
  */
 public class OSDetector {
 
-	
 	/**
-	 * Checks if the operating system of the runtime target is of Windows family type.
-	 * @return true if the operating system of the runtime target is of Windows family type
+	 * Checks if the operating system of the runtime target is of Windows family
+	 * type.
+	 * 
+	 * @return true if the operating system of the runtime target is of Windows
+	 *         family type
 	 */
-	public static boolean isFamilyWindows()	{
+	public static boolean isFamilyWindows() {
 		return Os.isFamily(Os.FAMILY_WINDOWS);
 	}
-	
+
 	/**
 	 * Checks if the operating system of the runtime target is of Unix family type.
-	 * @return true if the operating system of the runtime target is of Unix family type
+	 * 
+	 * @return true if the operating system of the runtime target is of Unix family
+	 *         type
 	 */
-	public static boolean isFamilyUnix()	{
+	public static boolean isFamilyUnix() {
 		return Os.isFamily(Os.FAMILY_UNIX);
 	}
 
 	/**
 	 * Checks if the operating system of the runtime target is of Mac family type.
-	 * @return true if the operating system of the runtime target is of Mac family type
+	 * 
+	 * @return true if the operating system of the runtime target is of Mac family
+	 *         type
 	 */
-	public static boolean isFamilyMac()	{
+	public static boolean isFamilyMac() {
 		return Os.isFamily(Os.FAMILY_MAC);
 	}
-	
+
 	/**
-	 * Checks if the operating system of the runtime target is 64bit architecture. 
+	 * Checks if the operating system of the runtime target is 64bit architecture.
+	 * 
 	 * @return
 	 */
-	public static boolean isArch64()	{
+	public static boolean isArch64() {
 		return System.getProperty("java.vm.name").toLowerCase().indexOf("64") >= 0; //$NON-NLS-1$ //$NON-NLS-2$
 	}
-	
+
 	/**
 	 * Test method.
+	 * 
 	 * @param args
 	 */
 	public static void main(String[] args) {
@@ -55,5 +64,5 @@
 		System.out.println("Unix OS family: " + isFamilyUnix()); //$NON-NLS-1$
 		System.out.println("Mac OS family: " + isFamilyMac()); //$NON-NLS-1$
 	}
-	
+
 }
Index: tmp/org.txm.utils/src/org/txm/utils/LangDetector.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/LangDetector.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/LangDetector.java	(revision 2402)
@@ -39,25 +39,23 @@
 		translations.put("slovenian", "sl");
 		translations.put("polish", "pl");
 	}
-	
+
 	TextCategorizer guesser = new TextCategorizer();
 
 	public LangDetector(File file) throws DOMException, IOException, ParserConfigurationException, SAXException {
 		this(file, "UTF-8");
 	}
 
-	public LangDetector(File file, String encoding) throws DOMException, IOException, ParserConfigurationException, SAXException
-	{
-		if(file.isDirectory())
+	public LangDetector(File file, String encoding) throws DOMException, IOException, ParserConfigurationException, SAXException {
+		if (file.isDirectory())
 			processDirectory(file);
 		else
 			processFile(file);
 	}
 
-	private void processDirectory(File dir) throws IOException, DOMException, ParserConfigurationException, SAXException
-	{
-		//println "process $dir"
-		if(dir.isDirectory()) {
+	private void processDirectory(File dir) throws IOException, DOMException, ParserConfigurationException, SAXException {
+		// println "process $dir"
+		if (dir.isDirectory()) {
 			for (File file : dir.listFiles(IOUtils.HIDDENFILE_FILTER))
 				if (file.isFile())
 					processFile(file);
@@ -67,32 +65,30 @@
 
 	}
 
-	private void processFile(File file) throws IOException, DOMException, ParserConfigurationException, SAXException
-	{
-		//println "process $file"
+	private void processFile(File file) throws IOException, DOMException, ParserConfigurationException, SAXException {
+		// println "process $file"
 		String text = null;
 		if (file.getName().endsWith(".xml") || file.getName().endsWith(".XML")) {
 			text = DomUtils.load(file).getDocumentElement().getTextContent();
 		} else {
 			text = IOUtils.getText(file, encoding);
 		}
-		//println "text: "+text.length()
+		// println "text: "+text.length()
 		String langcode = guesser.categorize(text);
 		String guessedLang = translations.get(langcode);
 		if (guessedLang == null) {
 			guessedLang = langcode;
 		}
 
-		//println "$file guessed $guessedLang"
+		// println "$file guessed $guessedLang"
 		if (!langs.containsKey(guessedLang))
 			langs.put(guessedLang, 0);
-		langs.put(guessedLang, langs.get(guessedLang)+1);
+		langs.put(guessedLang, langs.get(guessedLang) + 1);
 	}
 
-	public String getLang()
-	{
+	public String getLang() {
 		int max = 0;
-		//println "LANGS: "+langs
+		// println "LANGS: "+langs
 		for (String s : langs.keySet()) {
 			if (max < langs.get(s)) {
 				max = langs.get(s);
@@ -102,17 +98,15 @@
 		return lang;
 	}
 
-	public static void configFromModels(File dir)
-	{
+	public static void configFromModels(File dir) {
 		File[] files = dir.listFiles(IOUtils.HIDDENFILE_FILTER);
 		Arrays.sort(files);
-		for(File f : files)
-			if(f.getName().contains(".lm") && !f.getName().contains("-"))
-				System.out.println(f.getAbsolutePath()+"\t"+f.getName().substring(0, f.getName().length()-3));
+		for (File f : files)
+			if (f.getName().contains(".lm") && !f.getName().contains("-"))
+				System.out.println(f.getAbsolutePath() + "\t" + f.getName().substring(0, f.getName().length() - 3));
 	}
 
-	public HashMap<String, Integer> getLangs()
-	{
+	public HashMap<String, Integer> getLangs() {
 		return langs;
 	}
 }
